Skip to main content
GET
/
contacts
List all contacts
curl --request GET \
  --url https://{domain}/api/site/contacts \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 1,
  "limit": 25,
  "skip": 0,
  "items": [
    {
      "id": 123,
      "name": "John Doe",
      "email": "john@doe.com",
      "phone": "+123456789",
      "note": "<string>",
      "address": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "country": "<string>",
      "companyName": "<string>",
      "createdOn": 1573240303,
      "properties": [
        {
          "name": "lead_status",
          "value": "contacted"
        }
      ],
      "tags": [
        "tag1",
        "tag2"
      ],
      "memberId": 487,
      "subscribed": true,
      "subscriberLists": [
        0,
        87647751
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

created_at_min
integer<int64>

List only contacts created after the specified timestamp (inclusive, in seconds since the Unix epoch).

Example:

1573251649

created_at_max
integer<int64>

List only contacts created before the specified timestamp (inclusive, in seconds since the Unix epoch).

Example:

1573251649

limit
integer
default:30

A limit on the number of objects to be returned. Between 1 and 50.

Required range: 1 <= x <= 50
Example:

25

skip
integer
default:0

The number of items to skip (offset). Defaults to 0, i.e. the first page.

Required range: x >= 0
Example:

25

Response

200 - application/json

A paginated list of contacts.

Common pagination envelope shared by list endpoints.

totalCount
integer
required

The total size of the result set without any pagination.

Example:

1

limit
integer
required

The currently used limit.

Example:

25

skip
integer
required

The current offset in the list.

Example:

0

items
object[]
Last modified on June 20, 2026